Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.rdf
Class Any23ValueFactoryWrapper

    java.lang.Object
      org.apache.any23.rdf.Any23ValueFactoryWrapper

All Implemented Interfaces:
  org.openrdf.model.ValueFactory

    public class Any23ValueFactoryWrapper

extends Object
implements org.openrdf.model.ValueFactory

Any23 specialization of the `ValueFactory`. It provides a wrapper to instantiate RDF objects.

Constructor Summary
`Any23ValueFactoryWrapper(org.openrdf.model.ValueFactory vFactory)`
`Any23ValueFactoryWrapper(org.openrdf.model.ValueFactory vFactory, ErrorReporter er)`
`Any23ValueFactoryWrapper(org.openrdf.model.ValueFactory factory, ErrorReporter er, String defaultLitLanguage)` Constructor with error reporter.

Method Summary
`org.openrdf.model.BNode` | `createBNode()`
`org.openrdf.model.BNode` | `createBNode(String id)`
`org.openrdf.model.Literal` | `createLiteral(boolean b)`
`org.openrdf.model.Literal` | `createLiteral(byte b)`
`org.openrdf.model.Literal` | `createLiteral(double v)`
`org.openrdf.model.Literal` | `createLiteral(float v)`
`org.openrdf.model.Literal` | `createLiteral(int i)`
`org.openrdf.model.Literal` | `createLiteral(long l)`
`org.openrdf.model.Literal` | `createLiteral(short i)`
`org.openrdf.model.Literal` | `createLiteral(String content)`
`org.openrdf.model.Literal` | `createLiteral(String label, String language)`
`org.openrdf.model.Literal` | `createLiteral(String pref, org.openrdf.model.URI value)`
`org.openrdf.model.Literal` | `createLiteral(XMLGregorianCalendar calendar)`
`org.openrdf.model.Statement` | `createStatement(org.openrdf.model.Resource sub, org.openrdf.model.URI pre, org.openrdf.model.Value obj)`
`org.openrdf.model.Statement` | `createStatement(org.openrdf.model.Resource sub, org.openrdf.model.URI pre, org.openrdf.model.Value obj, org.openrdf.model.Resource context)`
`org.openrdf.model.URI` | `createURI(String uriStr)`
`org.openrdf.model.URI` | `createURI(String namespace, String localName)`
`org.openrdf.model.URI` | `fixLink(String link, String defaultSchema)` Helper method to conditionally add a schema to a URI unless it's there, or null if link is empty.
`org.openrdf.model.URI` | `fixURI(String uri)`
`String` | `fixWhiteSpace(String name)`
`String` | `getDefaultLiteralLanguage()`
`ErrorReporter` | `getErrorReporter()`
`org.openrdf.model.URI` | `resolveURI(String uri, URI baseURI)` Fixes typical errors in URIs, and resolves relative URIs against a base URI.
`void` | `setErrorReporter(ErrorReporter er)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Any23ValueFactoryWrapper

    public Any23ValueFactoryWrapper(org.openrdf.model.ValueFactory factory,
                                    ErrorReporter er,
                                    String defaultLitLanguage)

  Constructor with error reporter.

  Parameters:
    `factory` - the wrapped value factory, cannot be `null`.
    `er` - the error reporter.
    `defaultLitLanguage` - the default literal language.

### Any23ValueFactoryWrapper

    public Any23ValueFactoryWrapper(org.openrdf.model.ValueFactory vFactory,
                                    ErrorReporter er)

### Any23ValueFactoryWrapper

    public Any23ValueFactoryWrapper(org.openrdf.model.ValueFactory vFactory)

Method Detail

### getErrorReporter

    public ErrorReporter getErrorReporter()

### setErrorReporter

    public void setErrorReporter(ErrorReporter er)

### getDefaultLiteralLanguage

    public String getDefaultLiteralLanguage()

### createBNode

    public org.openrdf.model.BNode createBNode()

  Specified by:
    `createBNode` in interface `org.openrdf.model.ValueFactory`

### createBNode

    public org.openrdf.model.BNode createBNode(String id)

  Specified by:
    `createBNode` in interface `org.openrdf.model.ValueFactory`

### createLiteral

    public org.openrdf.model.Literal createLiteral(String content)

  Specified by:
    `createLiteral` in interface `org.openrdf.model.ValueFactory`

### createLiteral

    public org.openrdf.model.Literal createLiteral(boolean b)

  Specified by:
    `createLiteral` in interface `org.openrdf.model.ValueFactory`

### createLiteral

    public org.openrdf.model.Literal createLiteral(byte b)

  Specified by:
    `createLiteral` in interface `org.openrdf.model.ValueFactory`

### createLiteral

    public org.openrdf.model.Literal createLiteral(short i)

  Specified by:
    `createLiteral` in interface `org.openrdf.model.ValueFactory`

### createLiteral

    public org.openrdf.model.Literal createLiteral(int i)

  Specified by:
    `createLiteral` in interface `org.openrdf.model.ValueFactory`

### createLiteral

    public org.openrdf.model.Literal createLiteral(long l)

  Specified by:
    `createLiteral` in interface `org.openrdf.model.ValueFactory`

### createLiteral

    public org.openrdf.model.Literal createLiteral(float v)

  Specified by:
    `createLiteral` in interface `org.openrdf.model.ValueFactory`

### createLiteral

    public org.openrdf.model.Literal createLiteral(double v)

  Specified by:
    `createLiteral` in interface `org.openrdf.model.ValueFactory`

### createLiteral

    public org.openrdf.model.Literal createLiteral(XMLGregorianCalendar calendar)

  Specified by:
    `createLiteral` in interface `org.openrdf.model.ValueFactory`

### createLiteral

    public org.openrdf.model.Literal createLiteral(String label,
                                                   String language)

  Specified by:
    `createLiteral` in interface `org.openrdf.model.ValueFactory`

### createLiteral

    public org.openrdf.model.Literal createLiteral(String pref,
                                                   org.openrdf.model.URI value)

  Specified by:
    `createLiteral` in interface `org.openrdf.model.ValueFactory`

### createStatement

    public org.openrdf.model.Statement createStatement(org.openrdf.model.Resource sub,
                                                       org.openrdf.model.URI pre,
                                                       org.openrdf.model.Value obj)

  Specified by:
    `createStatement` in interface `org.openrdf.model.ValueFactory`

### createStatement

    public org.openrdf.model.Statement createStatement(org.openrdf.model.Resource sub,
                                                       org.openrdf.model.URI pre,
                                                       org.openrdf.model.Value obj,
                                                       org.openrdf.model.Resource context)

  Specified by:
    `createStatement` in interface `org.openrdf.model.ValueFactory`

### createURI

    public org.openrdf.model.URI createURI(String uriStr)

  Specified by:
    `createURI` in interface `org.openrdf.model.ValueFactory`
  Parameters:
    `uriStr` -
  Returns:
    a valid sesame URI or null if any exception occurred

### createURI

    public org.openrdf.model.URI createURI(String namespace,
                                           String localName)

  Specified by:
    `createURI` in interface `org.openrdf.model.ValueFactory`
  Returns:
    a valid sesame URI or null if any exception occurred

### resolveURI

    public org.openrdf.model.URI resolveURI(String uri,
                                            URI baseURI)

  Fixes typical errors in URIs, and resolves relative URIs against a base URI.

  Parameters:
    `uri` - A URI, relative or absolute, can have typical syntax errors
    `baseURI` - A base URI to use for resolving relative URIs
  Returns:
    An absolute URI, sytnactically valid, or null if not fixable

### fixURI

    public org.openrdf.model.URI fixURI(String uri)

  Parameters:
    `uri` -
  Returns:
    a valid sesame URI or null if any exception occurred

### fixLink

    public org.openrdf.model.URI fixLink(String link,
                                         String defaultSchema)

  Helper method to conditionally add a schema to a URI unless it's there, or null if link is empty.

### fixWhiteSpace

    public String fixWhiteSpace(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.